function s = emptyseg(n)
% emptyseg   Makes an empty segment structure
%   S = emptyseg returns a blank segment structure, with fields
%   containing 0-by-1 empty matrices.
%
%   S = emptyseg(N) returns a segment structure with fields given
%   as N-by-1 columns of zeros.
%

if ~exist('n', 'var')
   n = 0;
end

s = struct('name', zeros(n, 1), 'lon1', zeros(n, 1), 'lat1', zeros(n, 1), 'lon2', zeros(n, 1), 'lat2', zeros(n, 1),...
           'lDep', zeros(n, 1), 'lDepSig', zeros(n, 1), 'lDepTog', zeros(n, 1),...
           'dip', zeros(n, 1), 'dipSig', zeros(n, 1), 'dipTog', zeros(n, 1),...
           'ssRate', zeros(n, 1), 'ssRateSig', zeros(n, 1), 'ssRateTog', zeros(n, 1),...
           'dsRate', zeros(n, 1), 'dsRateSig', zeros(n, 1), 'dsRateTog', zeros(n, 1),...
           'tsRate', zeros(n, 1), 'tsRateSig', zeros(n, 1), 'tsRateTog', zeros(n, 1),...
           'bDep', zeros(n, 1), 'bDepSig', zeros(n, 1), 'bDepTog', zeros(n, 1),...
           'res', zeros(n, 1), 'resOver', zeros(n, 1), 'resOther', zeros(n, 1),...
           'patchFile', zeros(n, 1), 'patchTog', zeros(n, 1), 'other3', zeros(n, 1),...
           'patchSlipFile', zeros(n, 1), 'patchSlipTog', zeros(n, 1), 'other6', zeros(n, 1),...
           'other7', zeros(n, 1), 'other8', zeros(n, 1), 'other9', zeros(n, 1),...
           'other10', zeros(n, 1), 'other11', zeros(n, 1), 'other12', zeros(n, 1));