function kmlStr = ge_region(north,south,east,west,varargin)
% 
% % Please use the link below to view the documentation.
% <a href="matlab:web(fullfile(ge_root,'html','ge_region.html'),'-helpbrowser')">link</a> to html documentation
% <a href="matlab:web(fullfile(ge_root,'html','license.html'),'-helpbrowser')">show license statement</a> 
%

AuthorizedOptions = authoptions( mfilename );


id             = 'region';
minAltitude    = 0;
maxAltitude    = 0;
minLodPixels   = 0;
maxLodPixels   = -1;
minFadeExtent  = 0;
maxFadeExtent  = 0;


parsepairs %script that parses Parameter/Value pairs.


kmlStr = [ '<Region id="' id '">' 13 ...
           '<LatLonAltBox> ' 13 ...
           '<north>' num2str(north,'%.6f') '</north>' 13 ...
           '<south>' num2str(south,'%.6f') '</south>' 13 ...
           '<east>' num2str(east,'%.6f') '</east>' 13 ...
           '<west>' num2str(west,'%.6f') '</west>' 13 ...
           '<minAltitude>' num2str(minAltitude) '</minAltitude>' 13 ...
           '<maxAltitude>' num2str(maxAltitude) '</maxAltitude>' 13 ...
           '</LatLonAltBox>' 13 ...
           '<Lod>' 13 ...
           '<minLodPixels>' int2str( minLodPixels ) '</minLodPixels>' 13 ...
           '<maxLodPixels>' int2str( maxLodPixels ) '</maxLodPixels>' 13 ...
           '<minFadeExtent>' int2str(minFadeExtent ) '</minFadeExtent>' 13 ...
           '<maxFadeExtent>' int2str(maxFadeExtent ) '</maxFadeExtent>' 13 ...
           '</Lod>' 13 ...
           '</Region>' 13 ];
           
